Межсайтовый скриптинг в Claroline

Дата публикации:
25.07.2008
Всего просмотров:
2138
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Claroline 1.x
Уязвимые версии: Claroline 1.8.10, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в URL в сценариях announcements/messages.php, auth/lostPassword.php, auth/profile.php, calendar/myagenda.php, group/group.php, learnPath/learningPath.php, learnPath/learningPathList.php, learnPath/module.php, phpbb/index.php, tracking/courseLog.php, tracking/course_access_details.php, tracking/delete_course_stats.php, tracking/userLog.php, tracking/user_access_details.php, user/user.php и user/userInfo.php, в параметре "view" в сценарии tracking/courseLog.php, и в параметре "toolId" в сценарии tracking/toolaccess_details.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.claroline.net

Решение: Установите последнюю версию 1.8.11 с сайта производителя.

или введите имя

CAPTCHA